EDIT - bug #9921

manage/Action.jsp broken
01/18/2022 04:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmserver Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal Found in Version:

Description

It seems as if something got broken due to the recently made code cleaning.

Clicking on stop in the management Ul of the cdmserver fails:

URI: /cdmserver/manage/Action. jsp
STATUS: 500
MESSAGE: org.apache. jasper.JasperException: Unable to compile class for JSP: An error occurred

at line: [15] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/ap
ache/jsp/manage/Action_Jjsp.javal] Only a type can be imported. org.codehaus.jackson.node.JsonNodeFa
ctory resolves to a package An error occurred at line: [16] in the generated java file: [/opt/cdms
erver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage/Action_jsp.javal] Only a type can be
imported. org.codehaus. jackson.node.ArrayNode resolves to a package An error occurred at line: [18
] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/apache/jsp/man
age/Action_jsp.Jjaval Only a type can be imported. org.codehaus. jackson.map.ObjectMapper resolves t
o a package An error occurred at line: [19] in the generated java file: [/opt/cdmserver/.cdmLibrar
y/server/default-webapp/org/apache/jsp/manage/Action_jsp.javal Only a type can be imported. org.co
dehaus. jackson.JsonNode resolves to a package An error occurred at line: [20] in the generated jav
a file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage/Action_jsp.javal] O
nly a type can be imported. org.codehaus. jackson.node.ObjectNode resolves to a package An error oc
curred at line: [23] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp
/org/apache/jsp/manage/Action_jsp.javal] Only a type can be imported. org.codehaus. jackson.JsonFact
ory resolves to a package An error occurred at line: [24] in the generated java file: [/opt/cdmser
ver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage/Action_jsp.java] Only a type can be im
ported. org.codehaus. jackson.JsonGenerator resolves to a package An error occurred at line: [25] 1
n the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage
/Action_jsp.java] Only a type can be imported. org.codehaus. jackson.map.ser.StdSerializerProvider
resolves to a package Stacktrace:

SERVLET: isp

CAUSED BY: org.apache.jasper.JasperException: Unable to compile class for JSP: An error occurred
at line: [15] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/ap
ache/jsp/manage/Action_jsp.javal] Only a type can be imported. org.codehaus. jackson.node.JsonNodeFa
ctory resolves to a package An error occurred at line: [16] in the generated java file: [/opt/cdms
erver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage/Action_jsp.javal Only a type can be
imported. org.codehaus. jackson.node.ArrayNode resolves to a package An error occurred at line: [18
] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/apache/jsp/man
age/Action_jsp.javal Only a type can be imported. org.codehaus.jackson.map.ObjectMapper resolves t
o0 a package An error occurred at line: [19] in the generated java file: [/opt/cdmserver/.cdmLibrar
y/server/default-webapp/org/apache/jsp/manage/Action_jsp.java] Only a type can be imported. org.co
dehaus. jackson.JsonNode resolves to a package An error occurred at line: [20] in the generated jav
a file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage/Action_jsp.javal] O
nly a type can be imported. org.codehaus.jackson.node.ObjectNode resolves to a package An error oc
curred at line: [23] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp
/org/apache/jsp/manage/Action_jsp.Jjaval Only a type can be imported. org.codehaus. jackson.JsonFact
ory resolves to a package An error occurred at line: [24] in the generated java file: [/opt/cdmser
ver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage/Action_jsp.java] Only a type can be im
ported. org.codehaus. jackson.JsonGenerator resolves to a package An error occurred at line: [25] i
n the generated java file: [/opt/cdmserver/.cdmLibrary/server/default-webapp/org/apache/jsp/manage
/Action_jsp.javal] Only a type can be imported. org.codehaus.jackson.map.ser.StdSerializerProvider
resolves to a package Stacktrace:

Caused by:
org.apache. jasper.JasperException: Unable to compile class for JSP:

An error occurred at line: [15] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/jsp/manage/Action_jsp. javal
Only a type can be imported. org.codehaus.jackson.node.JsonNodeFactory resolves to a package

An error occurred at line: [16] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/jsp/manage/Action_jsp. javal
Only a type can be imported. org.codehaus.jackson.node.ArrayNode resolves to a package

An error occurred at line: [18] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/ jsp/manage/Action_jsp. javal
Only a type can be imported. org.codehaus.jackson.map.ObjectMapper resolves to a package

An error occurred at line: [19] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/jsp/manage/Action_jsp. javal
Only a type can be imported. org.codehaus.jackson.JsonNode resolves to a package

An error occurred at line: [20] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/jsp/manage/Action_jsp. javal
Only a type can be imported. org.codehaus.jackson.node.ObjectNode resolves to a package

An error occurred at line: [23] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/jsp/manage/Action_jsp. javal
Only a type can be imported. org.codehaus.jackson.JsonFactory resolves to a package

An error occurred at line: [24] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/jsp/manage/Action_jsp. javal
Only a type can be imported. org.codehaus.jackson.JsonGenerator resolves to a package

An error occurred at line: [25] in the generated java file: [/opt/cdmserver/.cdmLibrary/server/def
ault-webapp/org/apache/jsp/manage/Action_jsp. javal

Only a type can be imported. org.codehaus.jackson.map.ser.3tdSerializerProvider resolves to a pack
age

Stacktrace:
at org.apache. jasper.compiler.DefaultErrorHandler. javacError (DefaultErrorHandler. java:102)
at org.apache. jasper.compiler.ErrorDispatcher.javacError (ErrorDispatcher.java:212)
at org.apache. jasper.compiler.JDTCompiler.generateClass (JDTCompiler. java:549)
at org.apache. jasper.compiler.Compiler.compile (Compiler.java:378)
at org.apache. jasper.compiler.Compiler.compile (Compiler.java:350)
at org.apache. jasper.compiler.Compiler.compile (Compiler.java:334)
at org.apache. jasper.JspCompilationContext.compile (JspCompilationContext.java:595)
at org.apache. jasper.servlet.JspServletWrapper.service (JspServlietWrapper.java:399)
at org.apache. jasper.servlet.JspServlet.servicedspFile (JspServlet.java:386)
at org.apache. jasper.servlet.JspServlet.service (JspServlet. java:330)
at org.eclipse.jetty.jsp.JdettyJspServlet.service (JettyJdspServliet.java:106)
at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)
at org.eclipse. jetty.servlet.ServletHolder$NotAsyncServlet.service (ServletHolder. java:1386)
at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:755)
at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler.java:547)
at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)
at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:555)
at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)
at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:235)
at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1607)
at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:233)
at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1297)
at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:188)
at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler.java:485)
at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:1577)
at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler.java:186)
at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1212)
at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)
at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:221)
at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)
.Server.handle (Server.java:500)
HttpChannel.lambda$handle$l (HttpChannel. java:383)
HttpChannel.dispatch (HttpChannel. java:547)
HttpChannel.handle (HttpChannel. java:375)
.HttpConnection.onFillable (HttpConnection. java:270)

io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:311)
io.FillInterest.fillable(FillInterest.java:103)
run (ChannelEndPoint. java:117)
ReservedThreadExecutor$ReservedThread. run (ReservedThreadExecu

at java.lang.Thread.run (Thread. java:748)

EatWhatYouKill.
runTask (EatWhatYouKill. java:336)
doProduce (EatWhatYouKill. java:313)
tryProduce (EatWhatYouKill. java:171)
run (EatWhatYouKill. java:129)

QueuedThreadPool.rundob (QueuedThreadPool. java:806)
QueuedThreadPool$Runner.run (QueuedThreadPool. java: 938)

Associated revisions

Revision 05bcc5a2 - 01/19/2022 11:28 PM - Andreas Miiller

ref #9359 revert to jackson-mapper-asl and upgrade resources plugin

History

#1 - 01/18/2022 04:52 PM - Andreas Kohlbecker

- Description updated

#2 - 01/20/2022 11:56 PM - Andreas Miiller

- Status changed from New to Resolved

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 0 to 50

Please review.

#3 - 01/21/2022 10:14 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Problem is fully solved.

#4 - 01/21/2022 10:14 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

#5 - 02/15/2022 03:40 PM - Andreas Miuller

- Target version changed from Release 5.45 to Release 5.29
